GET /serviceenginegroup/{uuid}/placement/ineligible/

GET /serviceenginegroup/{uuid}/placement/ineligible/

/serviceenginegroup/{uuid}/placement/ineligible/

Request
URI
GET
https://{api_host}/api/serviceenginegroup/{uuid}/placement/ineligible
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SeGroupPlacementIneligible of type(s) application/json
{
    "consumers_ineligible_reasons": [
        {
            "consumer_ids": [
                {
                    "vip_id": "string",
                    "vs_uuid": "string"
                }
            ],
            "reason": "string"
        }
    ],
    "image_ready": false,
    "max_vs_per_se": 0,
    "resources_ineligible_reasons": [
        {
            "reason": "string",
            "resource_uuids": [
                "string"
            ]
        }
    ],
    "upgrade_in_progress": false,
    "uuid": "string"
}
array of object
consumers_ineligible_reasons
Optional

List of VSs for each placement ineligible reason. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
image_ready
Optional

Image ready. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_vs_per_se
Optional

Max VS per SE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
resources_ineligible_reasons
Optional

List of SEs for each placement ineligible reason. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
upgrade_in_progress
Optional

Upgrade in progress. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
uuid
Optional

SE group UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/serviceenginegroup/{uuid}/placement/ineligible